#!/usr/bin/perl
#
# $Header: //sapdb/V73/c_00/b_35/sys/src/install/perl/SAPDB/Install/FSUsage.pm#1 $
# $DateTime: 2003/04/16 16:44:04 $
# $Change: 41711 $
#
# Desc: 


package SAPDB::Install::FSUsage;

sub import {
	local $SAPDB::Install::Exporter::ExportLevel = 1;
	SAPDB::Install::Exporter::import (@_);
	bootstrap SAPDB::Install::FileLock;
}



sub BEGIN {
	@ISA = ('SAPDB::Install::Exporter');
	@EXPORT = ('GetFSSize','GetFSName');
	my $repo = SAPDB::Install::Repository::GetCurrent ();
	my @neededPackages=(
		'Exporter'
	);
	foreach my $package (@neededPackages){
	  	unless (defined $repo->Eval ("SAPDB::Install::$package", 1.01)) {
                print join ("\n", $repo->GetErr)."\n";
                die;
        	}
		import ("SAPDB::Install::$package"); 
	}
}

sub AUTOLOAD {
	#print "$AUTOLOAD\n";
	die unless ($AUTOLOAD =~ "bootstrap");
	require DynaLoader;
	push @ISA, 'DynaLoader';
	bootstrap SAPDB::Install::FSUsage;
}
1;