#!/usr/bin/perl
#
# $Header: //sapdb/V73/c_00/b_35/sys/src/install/perl/SAPDB/Install/InstanceUpgrade.pm#1 $
# $DateTime: 2003/04/16 16:44:04 $
# $Change: 41711 $
#
# Desc: simple caller for StartInstall (add command line option) 

package SAPDB::Install::InstanceUpgrade;

$VERSION = 1.01;

sub BEGIN {
      my $repo = SAPDB::Install::Repository::GetCurrent ();
	my @neededPackages=(
		'StartInstall'
	);
	foreach my $package (@neededPackages){
	  	unless (defined $repo->Eval ("SAPDB::Install::$package", 1.01)) {
                print join ("\n", $repo->GetErr)."\n";
                die;
        	}
	}
}



sub main {
   	local @ARGV = @_;
	push (@ARGV,'-INSTANCE','-profile','APO LiveCache');	
	SAPDB::Install::StartInstall::main(@ARGV);
	exit 0;
}

1;       
    